﻿using System;
using System.Windows.Data;

namespace SpotnetWatchdog.Converters
{
    /// <summary>
    /// Converts DateTime to a dutch formatted string
    /// </summary>
    [ValueConversion(typeof(DateTime?), typeof(string))]
    class DateTimeConverter : IValueConverter
    {
        public object  Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value != null)
            {
                DateTime date;
                if (DateTime.TryParse(value.ToString(), out date))
                {
                    return date.ToString("dd-MM-yyyy HH:mm");
                }
                throw new ArgumentException("value");
            }
            return value;
        }

        public object  ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
 	        throw new NotImplementedException();
        }
    }
}
