﻿using System.Collections.Generic;

namespace SpotnetWatchdog.Entities
{
    class Category
    {
        #region Constructors

        public Category()
        {
            SubCategories = new List<SubCategory>();
            Tags = new List<Tag>();
        }

        #endregion

        #region Public Properties

        public string Name { get; set; }

        public int Id { get; set; }

        public List<SubCategory> SubCategories { get; set; }

        public List<Tag> Tags { get; set; }
        
        #endregion

        #region Public Methods

        public override int GetHashCode()
        {
            return Name.GetHashCode();
        }

        public override string ToString()
        {
            return Name;
        }
        
        #endregion

        #region Empty Category

        private static Category _empty = new Category() { Id = -1, Name = "- Alles -" };
        
        public static Category Empty 
        { 
            get { return _empty; }
        }

        #endregion
    }
}
